import { Grid, Typography } from "@mui/material";
import React from "react";

export function IconBadge({ icon, secondaryIcon, title, subheader }) {
  return (
    <Grid
      container
      alignItems="center"
    >
      <Grid
        item
        xs={3}
        sm={2}
        md={1}
      >
        <Grid
          container
          justifyContent="center"
          direction="column"
          alignItems="center"
        >
          {icon}
          {secondaryIcon}
        </Grid>
      </Grid>
      <Grid
        item
        xs={9}
        sm={10}
        md={11}
      >
        <Grid
          container
          justifyContent="flex-start"
        >
          <Grid
            item
            xs={12}
            zeroMinWidth
          >
            <Typography
              noWrap
              color="textPrimary"
            >
              {title}
            </Typography>
          </Grid>
          <Grid
            item
            xs={12}
            zeroMinWidth
          >
            <Typography
              noWrap
              color="textSecondary"
            >
              {subheader}
            </Typography>
          </Grid>
        </Grid>
      </Grid>
    </Grid>
  );
}
